Subject: [alpine-aports] [PATCH 1/2] main/debian-archive-keyring: move from testing/

From: Sören Tempel <[email-masked]>
Date: Mon, 9 Nov 2015 11:07:28 +0100

---
 main/debian-archive-keyring/APKBUILD    | 38 +++++++++++++++++++++++++++++++++
 testing/debian-archive-keyring/APKBUILD | 38 ---------------------------------
 2 files changed, 38 insertions(+), 38 deletions(-)
 create mode 100644 main/debian-archive-keyring/APKBUILD
 delete mode 100644 testing/debian-archive-keyring/APKBUILD

diff --git a/main/debian-archive-keyring/APKBUILD b/main/debian-archive-keyring/APKBUILD
new file mode 100644
index 0000000..6bb1c29
--- /dev/null
+++ b/main/debian-archive-keyring/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Natanael Copa <[email-masked]>
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=debian-archive-keyring
+pkgver=2014.3
+pkgrel=0
+pkgdesc="GnuPG archive keys of the Debian archive"
+url="http://packages.debian.org/sid/debian-archive-keyring"
+arch="noarch"
+license="GPL"
+depends="gnupg"
+depends_dev=""
+makedepends="tar xz"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://ftp.debian.org/debian/pool/main/d/debian-archive-keyring/${pkgname}_${pkgver}_all.deb"
+
+unpack() {
+	cd "$srcdir"
+	for i in $source; do
+		case $i in
+			*.deb) ar x ${i##*/} || return 1 ;;
+		esac
+	done
+}
+
+build() {
+	return 0
+}
+
+package() {
+	mkdir -p "$pkgdir"
+	tar -xJf "$srcdir"/data.tar.xz -C "$pkgdir"/
+}
+
+md5sums="02b6818bd7cada9ef9d24534290b559c  debian-archive-keyring_2014.3_all.deb"
+sha256sums="017a2fba215cd64612891f5aa02546be5c0e30923a66672f889867cc6dd8d3a0  debian-archive-keyring_2014.3_all.deb"
+sha512sums="7a24596f250eafb6e62d19523cd13c3b1809bea3f694bd92f3d427f67cd840e0292200e6b033b5c5c5cf41ab40233ae17d133a846be483afa1da3b67cac72931  debian-archive-keyring_2014.3_all.deb"
diff --git a/testing/debian-archive-keyring/APKBUILD b/testing/debian-archive-keyring/APKBUILD
deleted file mode 100644
index 6bb1c29..0000000
--- a/testing/debian-archive-keyring/APKBUILD
+++ /dev/null
@@ -1,38 +0,0 @@
-# Contributor: Natanael Copa <[email-masked]>
-# Contributor: Sören Tempel <[email-masked]>
-# Maintainer: Sören Tempel <[email-masked]>
-pkgname=debian-archive-keyring
-pkgver=2014.3
-pkgrel=0
-pkgdesc="GnuPG archive keys of the Debian archive"
-url="http://packages.debian.org/sid/debian-archive-keyring"
-arch="noarch"
-license="GPL"
-depends="gnupg"
-depends_dev=""
-makedepends="tar xz"
-install=""
-subpackages="$pkgname-doc"
-source="ftp://ftp.debian.org/debian/pool/main/d/debian-archive-keyring/${pkgname}_${pkgver}_all.deb"
-
-unpack() {
-	cd "$srcdir"
-	for i in $source; do
-		case $i in
-			*.deb) ar x ${i##*/} || return 1 ;;
-		esac
-	done
-}
-
-build() {
-	return 0
-}
-
-package() {
-	mkdir -p "$pkgdir"
-	tar -xJf "$srcdir"/data.tar.xz -C "$pkgdir"/
-}
-
-md5sums="02b6818bd7cada9ef9d24534290b559c  debian-archive-keyring_2014.3_all.deb"
-sha256sums="017a2fba215cd64612891f5aa02546be5c0e30923a66672f889867cc6dd8d3a0  debian-archive-keyring_2014.3_all.deb"
-sha512sums="7a24596f250eafb6e62d19523cd13c3b1809bea3f694bd92f3d427f67cd840e0292200e6b033b5c5c5cf41ab40233ae17d133a846be483afa1da3b67cac72931  debian-archive-keyring_2014.3_all.deb"
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Mon, 9 Nov 2015 11:07:29 +0100

Also depend on debian-archive-keyring therefore enabling signature
verification of the downloaded packages. Without this you will always
get a warning when trying to install a package inside the chroot using
apt.
---
 main/debootstrap/APKBUILD | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/main/debootstrap/APKBUILD b/main/debootstrap/APKBUILD
index c83dca4..45aa7b5 100644
--- a/main/debootstrap/APKBUILD
+++ b/main/debootstrap/APKBUILD
@@ -1,17 +1,17 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=debootstrap
-pkgver=1.0.72
-pkgrel=2
+pkgver=1.0.74
+pkgrel=0
 pkgdesc="Debian/Ubuntu bootstrap scripts"
 url="http://packages.qa.debian.org/d/debootstrap.html"
 arch="noarch"
 license="GPL2"
-depends="dpkg tar"
+depends="debian-archive-keyring dpkg tar"
 makedepends=""
 install=""
 subpackages="$pkgname-doc"
-source="http://ftp.de.debian.org/debian/pool/main/d/$pkgname/${pkgname}_${pkgver}.tar.gz
+source="ftp://ftp.debian.org/debian/pool/main/d/${pkgname}/${pkgname}_${pkgver}.tar.gz
 	makedev.sh"
 
 _builddir="$srcdir"/$pkgname-$pkgver
@@ -29,9 +29,9 @@ package() {
 		"$pkgdir"/usr/share/man/man8/$pkgname.8 || return 1
 }
 
-md5sums="0cacf6e3bd8b566e921d2a326d6fd2bd  debootstrap_1.0.72.tar.gz
+md5sums="4a5c047251a467033ad2fe0415513b14  debootstrap_1.0.74.tar.gz
 ef5038e52173de7a18c37a0925ccf383  makedev.sh"
-sha256sums="90f4cf1390326f020b9192b6a45ba1d323fffab9c22c6f62451780e6f5482f8d  debootstrap_1.0.72.tar.gz
+sha256sums="ae1d1a8d6212f7721be489608230a185721b798d114f8c56b67c4a5e123586bf  debootstrap_1.0.74.tar.gz
 3f26318b59c7697205285d04eb68a4c65905faedd7bbcb4e53e803f9ea8e5c97  makedev.sh"
-sha512sums="b8f186b13f66789e96f775337d06821cfb464e35dd661a2bff1420bfb1254cf85ce9eb46be1a27dad7a462628e441cbfcdfffaf12ee5a394d15c248882295848  debootstrap_1.0.72.tar.gz
+sha512sums="19c2cbbe66eafab73715f0449d84a689f8f1c766ecb14496e6eb77d792a7950d181d2e1bf9b07c8b27d692f94b8e247174d0a04200fb0404a9f3b17d7a898b83  debootstrap_1.0.74.tar.gz
 71f1dfe7d785cf5f4b2db7e4de01b5e542b33a1a49194a53665d4d68b5de47fc3c5b37ad2d1a7c37fb14d10c6758fa2fb043bd68a6fbb8b9dba90fb071a9db9c  makedev.sh"
-- 
2.6.1

---